Package org.drinkless.tdlib

# Class TdApi.PremiumLimit

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumLimit

Enclosing class:
  `TdApi`

public static class TdApi.PremiumLimit extends TdApi.Object
Contains information about a limit, increased for Premium users.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `defaultValue`
  Default value of the limit.
  `int`
  `premiumValue`
  Value of the limit for Premium users.
  `TdApi.PremiumLimitType`
  `type`
  The type of the limit.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumLimit()`
  Contains information about a limit, increased for Premium users.
  `PremiumLimit(TdApi.PremiumLimitType type, int defaultValue, int premiumValue)`
  Contains information about a limit, increased for Premium users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.PremiumLimitType type
    The type of the limit.

  - ### defaultValue

    public int defaultValue
    Default value of the limit.

  - ### premiumValue

    public int premiumValue
    Value of the limit for Premium users.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumLimit

    public PremiumLimit()
    Contains information about a limit, increased for Premium users.

  - ### PremiumLimit

    public PremiumLimit(TdApi.PremiumLimitType type, int defaultValue, int premiumValue)
    Contains information about a limit, increased for Premium users.
    Parameters:
      `type` - The type of the limit.
      `defaultValue` - Default value of the limit.
      `premiumValue` - Value of the limit for Premium users.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR